################################################
#          VisNow Log4j configuration          #
################################################

log4j.rootLogger=OFF, Stderr, FileAppender

#Console stderr appender
log4j.appender.Stderr=org.apache.log4j.ConsoleAppender
log4j.appender.Stderr.layout=org.apache.log4j.PatternLayout
log4j.appender.Stderr.layout.ConversionPattern=%d{HH:mm:ss,SSS} %15.15t %-5p %20.20C{2}.%-20.20M  %5.5L: %m\n
log4j.appender.Stderr.encoding=UTF-8
log4j.appender.Stderr.Threshold=WARN
log4j.appender.Stderr.Target= System.err

#File appender
log4j.appender.FileAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.FileAppender.File=${user.home}/.visnow/log/vnlog.log
log4j.appender.FileAppender.DatePattern=_yyyyMMdd'.log'
log4j.appender.FileAppender.Append=true
log4j.appender.FileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.FileAppender.layout.ConversionPattern=%d{HH:mm:ss,SSS} %15.15t %-5p %20.20C{2}.%-20.20M  %5.5L: %m\n
log4j.appender.FileAppender.encoding=UTF-8
#general log level for file appender
log4j.appender.FileAppender.Threshold=INFO

#3rd party levels
log4j.logger.org.codehaus=INFO
log4j.logger.httpclient=INFO
log4j.logger.org.apache=INFO
log4j.logger.eu.unicore=INFO
log4j.logger.unicore=INFO

#Visnow levels
log4j.logger.org.visnow=INFO
